using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 计划参数表
    /// </summary>
    [Description("计划参数表")]
   [IgnoreT4]public class T_FM_PLAN_PARAM : MesEntityBase

    {
        [CUnique]
        [Description("编码")]
        public string CODE { get; set; }

        [Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        public string REMARK { get; set; }

    }
}
